function retval = G(w,p)
    x = w(1);
    y = w(2);
    z = 0.5 - x - y;
    pp = 0.5 + z;

    if (x == 0)
        xlogx = 0;
    else
        xlogx = abs(x)*log(abs(x/pp));
    end

    if (y == 0)
        ylogy = 0;
    else
        ylogy = abs(y)*log(abs(y/pp));
    end

    if (z == 0)
        zlogz = 0;
    else
        zlogz = abs(z)*log(abs(z/pp));
    end

    retval = -p.Gval -(x*log(p.K1) + y*log(p.K2)) + pp*log(p.P) + ...
    2*zlogz + xlogx + ylogy;