function error = feed_condition(T0, p, initial)
    x0 = [initial.Nnh0; T0; T0];
    opts = odeset('AbsTol', sqrt(eps), 'RelTol', sqrt(eps));
    [tsolver, x]  = ode15s(@(t, x) ivpjbr(t, x, p, initial), p.len, x0, opts);

    Taend = x((length(x)),3);
    error = p.Ta0 - Taend;