function xdot = seg(z, x, a, b, theta)
    c    = x(1);
    ctot = x(2);

    if (z < 1)
        t = z/(1-z);

        if (t <= theta.n1+theta.n3)
            p = 0;
        else
            p = exp(-(t-(theta.n1 + theta.n3) )/theta.n2)/theta.n2;
        end

        xdot = [-rxrate(c, a, b)/(1-z)^2; p*c/(1-z)^2];
        else
        xdot = [0; 0];
    end