function dNdv = rate_s(v,x,p)
    N1 = x(1);
    N6 = x(2);
    N7 = x(3);
    N8 = x(4);

    Ntot = N1 + N6 + N7 + N8;
    Ctot = p.P/(p.R1*p.T);
    C1 = (N1/Ntot)*Ctot;
    r = p.k(3)*p.kp*C1;

    dNdv = zeros (4, 1);

    dNdv(1) = -r;
    dNdv(2) = r;
    dNdv(3) = r;
    dNdv(4) = 0;