function rhs = pfr(t, x, p)
    Nx = x(1);
    T  = x(2);
    Q  = p.Nf/(p.Pf/(p.Rg*T));
    cx = Nx/Q;
    k  = p.km*exp(-p.E*(1/T-1/p.Tm));
    rate = k*cx;
    rhs = [-rate*p.Ac;
           -p.beta*rate + p.Gamma*(p.Ta-T)];