function res = onereac(x, p)
    ca = x(1);
    cb = x(2);
    r1 = p.k1*ca*cb;
    r2 = p.k2*ca^p.n;

    R = [-(r1 + r2)*p.theta;
         -r1*p.theta];

    flow = [p.alpha*p.caf - (1 + p.alpha)*ca;
            p.cbf - (1 + p.alpha)*cb];
    res = flow + R;